import { MatrixClient } from "matrix-js-sdk/src/matrix";
export default class DeviceListener {
    private dispatcherRef?;
    private dismissed;
    private dismissedThisDeviceToast;
    private keyBackupInfo;
    private keyBackupFetchedAt;
    private keyBackupStatusChecked;
    private ourDeviceIdsAtStart;
    private displayingToastsForDeviceIds;
    private running;
    private client?;
    private shouldRecordClientInformation;
    private enableBulkUnverifiedSessionsReminder;
    private deviceClientInformationSettingWatcherRef;
    static sharedInstance(): DeviceListener;
    start(matrixClient: MatrixClient): void;
    stop(): void;
    /**
     * Dismiss notifications about our own unverified devices
     *
     * @param {String[]} deviceIds List of device IDs to dismiss notifications for
     */
    dismissUnverifiedSessions(deviceIds: Iterable<string>): Promise<void>;
    dismissEncryptionSetup(): void;
    private ensureDeviceIdsAtStartPopulated;
    /** Get the device list for the current user
     *
     * @returns the set of device IDs
     */
    private getDeviceIds;
    private onWillUpdateDevices;
    private onDevicesUpdated;
    private onDeviceVerificationChanged;
    private onUserTrustStatusChanged;
    private onCrossSingingKeysChanged;
    private onAccountData;
    private onSync;
    private onRoomStateEvents;
    private onAction;
    private getKeyBackupInfo;
    private shouldShowSetupEncryptionToast;
    private recheck;
    private checkKeyBackupStatus;
    private onRecordClientInformationSettingChange;
    private updateClientInformation;
}
