import { MutableRefObject, RefObject } from "react";
import { TimelineRenderingType } from "../../../../../contexts/RoomContext";
import { IRoomState } from "../../../../structures/RoomView";
import Autocomplete from "../../Autocomplete";
export declare function focusComposer(composerElement: MutableRefObject<HTMLElement | null>, renderingType: TimelineRenderingType, roomContext: IRoomState, timeoutId: MutableRefObject<number | null>): void;
export declare function setCursorPositionAtTheEnd(element: HTMLElement): void;
/**
 * When the autocomplete modal is open we need to be able to properly
 * handle events that are dispatched. This allows the user to move the selection
 * in the autocomplete and select using enter.
 *
 * @param autocompleteRef - a ref to the autocomplete of interest
 * @param event - the keyboard event that has been dispatched
 * @returns boolean - whether or not the autocomplete has handled the event
 */
export declare function handleEventWithAutocomplete(autocompleteRef: RefObject<Autocomplete>, event: KeyboardEvent | React.KeyboardEvent<HTMLDivElement>): boolean;
