import zxcvbn from "zxcvbn";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
/**
 * Wrapper around zxcvbn password strength estimation
 * Include this only from async components: it pulls in zxcvbn
 * (obviously) which is large.
 *
 * @param {string} password Password to score
 * @param matrixClient the client of the logged in user, if any
 * @returns {object} Score result with `score` and `feedback` properties
 */
export declare function scorePassword(matrixClient: MatrixClient | undefined, password: string): zxcvbn.ZXCVBNResult | null;
